GDB (xrefs)

Public Attributes | List of all members
call_site_chain Struct Reference

`#include "dwarf2loc.h"`

## Public Attributes
int | callers
int | callees
int | length
struct call_site * | call_site [1]

## Detailed Description

Definition at line 280 of file dwarf2loc.h.

## Member Data Documentation

## ◆ call_site

struct call_site* call_site_chain::call_site[1]

Definition at line 289 of file dwarf2loc.h.

Referenced by chain_candidate(), and pretend_pc().

## ◆ callees

int call_site_chain::callees

Definition at line 284 of file dwarf2loc.h.

Referenced by chain_candidate(), pretend_pc(), and pretended_chain_levels().

## ◆ callers

int call_site_chain::callers

Definition at line 284 of file dwarf2loc.h.

Referenced by chain_candidate(), pretend_pc(), and pretended_chain_levels().

## ◆ length

int call_site_chain::length

Definition at line 284 of file dwarf2loc.h.

Referenced by chain_candidate(), dwarf2_tailcall_sniffer_first(), pretend_pc(), and pretended_chain_levels().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2loc.h